// $Id$

/***************************************************************************
*   Copyright (C) 2004 by Thomas Fischer                                  *
*   fischer@unix-ag.uni-kl.de                                             *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
#ifndef BIBTEXELEMENT_H
#define BIBTEXELEMENT_H

#include <qobject.h>

class QString;

/**
@author Thomas Fischer
*/
class BibTeXElement : public QObject
{
    Q_OBJECT
public:
    enum ElementType {etString, etComment, etPreamble, etArticle, etBook, etBooklet, etCollection, etConference, etInBook, etInCollection, etInProceedings, etManual, etMastersThesis, etMisc, etPhDThesis, etProceedings, etTechReport, etUnpublished, etUnknown};

    BibTeXElement( QObject *parent = 0, const char *name = 0 );
    ~BibTeXElement();

    virtual QString toBibTeXString( bool htmlHighlighting = false )
    {
        return QString::null;
    };

    virtual ElementType elementType()
    {
        return etUnknown;
    };

    virtual bool containsPattern( QString& pattern, bool caseSensitive = false )
    {
        return false;
    };

    static QString elementTypeToString( const ElementType elementType );
    static QString elementTypeDescriptionI18N( const ElementType elementType, bool withShortcuts = false );
    static ElementType elementTypeFromString( const QString &elementTypeString );
};

#endif
